<?php
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*//////////////////// Comments Functions Start                                                                           */
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*//////////////////// List Comments Function Starts                                                                      */
?>



<!-- comments wrap starts -->
<div id="commentsWrap" class="commentsWrap">
<?php if ( post_password_required() ) : ?>
	<p class="noPassword">
		<?php _e( 'This post is password protected. Enter the password to view any comments.', 'side' ); ?>
	</p>
</div>
<!-- comments wrap ends -->
<?php return; endif; ?>

	<?php // You can start editing here -- including this comment! ?>
    <?php if ( have_comments() ) : ?>
    
        
            <h4 class="commentsTitle" id="comments-title"><?php printf( _n( '1 comment', '%1$s comments', get_comments_number(), 'side' ), number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );?></h4>
        
        <ul class="commentsListWrap">
            <?php wp_list_comments( array( 'type' => 'comment' , 'callback' => 'side_comment' ) );?>
        </ul>
        
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
            <div id="commentsNavBellow">
                
                <div class="previousComments">
                    <?php previous_comments_link( __( '&laquo; Older Comments', 'side' ) ); ?>
                </div>
                
                <div class="nextComments">
                <?php next_comments_link( __( 'Newer Comments &raquo;', 'side' ) ); ?>
                </div>
            </div>
        <?php endif; // check for comment navigation ?>
        
    <?php elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :?>
        <p class="noComments"><?php _e( 'Comments are closed.', 'side' ); ?></p>
    <?php endif; ?>

<?php
/*//////////////////// List Comments Function Ends                                                                        */
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*//////////////////// Comment Form Function Starts                                                                       */
?>

	<h4 class="commentsTitle formCommentsTitle"><?php _e('Leave a comment:','side');?></h4>

	<!-- comment form starts -->
	<?php $newformargs = array( 'fields' => apply_filters( 'comment_form_default_fields', array(
        'author' => '<div class="commentFormFieldWrap"><p class="commentFormLabel"><label for="author">' . __( 'Name' ,'side' ) . '</label> ' .
                    ( $req ? '<span class="requiredField">&nbsp;*</span>' : '' ) .
                    '</p><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" tabindex="1"/></div>', 
                    
        'email'  => '<div class="commentFormFieldWrap"><p class="commentFormLabel"><label for="email">' . __( 'Email' ,'side') . '</label> ' .
                    ( $req ? '<span class="requiredField">&nbsp;*</span>' : '' ) .
                    '</p><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" tabindex="2"/></div>',
                    
        'url'    => '<div class="commentFormFieldWrap commentFormWebsiteWrap"><p class="commentFormLabel"><label for="url">' . __( 'Website' ,'side') . '</label>' .
                    '</p><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" tabindex="3" /></div>' ) ),
                            
        'comment_field' => '<div class="clear"></div><p class="commentFormLabel"><label for="comment">' . __( 'Comment' ,'side') . '</label>' .
		                   ( $req ? '<span class="requiredField">&nbsp;*</span>' : '' ) .
                           '</p><textarea id="comment" name="comment" tabindex="4" aria-required="true"></textarea>',
                    
        'must_log_in' => '<p class="mustLogIn">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post->ID ) ) ) ) . '</p>',
        
        'logged_in_as' => '<p class="loggedInAs">' . sprintf( __( 'Logged in as <a href="%s">%s</a>. <a title="Log out of this account" href="%s">Log out?</a></p>' ),
                                            
        admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post->ID ) ) ) ),
        'comment_notes_before' => '',
        'comment_notes_after' => '',
        'id_form' => 'commentForm',
        'id_submit' => 'submitComment',
        'title_reply' => __( '' ,'side'),
        'title_reply_to' => __( 'Leave a Reply to %s' ,'side'),
        'cancel_reply_link' => __( 'Cancel Reply!' ,'side'),
        'label_submit' => __( 'Post Comment' ,'side'),
    ); ?>
    <?php comment_form($newformargs); ?>
    <!-- comment form ends -->
    
<?php
/*//////////////////// Comment Form Function Ends                                                                         */
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>

</div>
<!-- comments wrap ends -->



<?php
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*//////////////////// Comments Functions Start                                                                           */
/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>