<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Comments Functions Start                                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



if ( ! function_exists( 'side_comment' ) ) :
	function side_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		switch ( $comment->comment_type ) :
			case 'pingback' :
			case 'trackback' :
?>

			<li class="post pingback">
				<p>
				<?php _e( 'Pingback:', 'side' ); ?>
				<?php comment_author_link(); ?>
				<?php edit_comment_link( __( 'edit', 'side' ), '', '' ); ?>
				</p>
                
			<?php
			break;
			default :
			?>

			<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                <!-- comment starts -->
				<div id="comment-<?php comment_ID(); ?>" class="commentWrap">
					<!-- comment meta starts -->
					<div class="commentMeta">
						<?php
                        $avatar_size = 40;
                        if ( '0' != $comment->comment_parent )
        
                            $avatar_size = 20;
                            echo get_avatar( $comment, $avatar_size );
            
                            /* translators: 1: comment author, 2: date and time */
                            printf( __( '<div class="commentDetails"><p>%1$s <br/> on %2$s <span class="says">said:</span></p></div>', 'side' ),
                                sprintf( '<span class="commentAuthorName">%s</span>', get_comment_author_link() ),
                                sprintf( '<a href="%1$s"><time pubdate datetime="%2$s">%3$s</time></a>',
                                esc_url( get_comment_link( $comment->comment_ID ) ),
                                get_comment_time( 'c' ),
                                /* translators: 1: date, 2: time */
                                sprintf( __( '%1$s at %2$s', 'side' ), get_comment_date(), get_comment_time() )
                            )
                        );
                        ?>
					</div>
					<!-- comment meta ends -->
		
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<em class="commentAwaitingModeration">
					<?php _e( 'Your comment is awaiting moderation.', 'side' ); ?>
						</em> <br />
					<?php endif; ?>
    
    				<!-- comment content starts -->
    				<div class="commentContentWrap">
						<?php comment_text(); ?>
    				</div>
    				<!-- comment content ends -->
    
    				<!-- comment reply starts -->
    				<div class="commentReplyEditWrap">
						<?php comment_reply_link(array_merge(array( 'reply_text' => __( 'reply', 'side' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                        <?php edit_comment_link( __( 'edit', 'side' ), '', '' ); ?>
    				</div>
    				<!-- comment reply ends -->
				</div>
			    <!-- comment ends -->

			<?php
			break;
			endswitch;
			}
			
endif; 



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Comments Functions End                                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>