<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Shortcodes Functions Start                                                           */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



// [onehalf][/onehalf] - starts
function onehalf_shortcode( $atts, $content = null ) {	
	return '<div class="column-two-one columnWrap">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'onehalf', 'onehalf_shortcode' );
// [onehalf][/onehalf] - ends


// [onehalflast][/onehalflast] - starts
function onehalflast_shortcode( $atts, $content = null ) {	
	return '<div class="column-two-two columnWrap lastColumn">' . do_shortcode($content) . '</div><div class="clear"></div>';
};
add_shortcode( 'onehalflast', 'onehalflast_shortcode' );
// [onehalflast][/onehalflast] - ends


// [onethird][/onethird] - starts
function onethird_shortcode( $atts, $content = null ) {	
	return '<div class="column-three-one columnWrap">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'onethird', 'onethird_shortcode' );
// [onethird][/onethird] - ends


// [onethirdlast][/onethirdlast] - starts
function onethirdlast_shortcode( $atts, $content = null ) {	
	return '<div class="column-three-two columnWrap lastColumn">' . do_shortcode($content) . '</div><div class="clear"></div>';
}
add_shortcode( 'onethirdlast', 'onethirdlast_shortcode' );
// [onethirdlast][/onethirdlast] - ends


// [image style="" src="" alt="" width=""] - starts
function image_shortcode( $atts, $content = null ) {
	extract(shortcode_atts(array(
		"style" => '',						 
		"src" => '',
		"alt" => '',
		"width" => ''
    ), $atts));
	
	return '<img class="'.$style.'" src="'.$src.'" alt="'.$alt.'" width="'.$width.'" />';
}
add_shortcode( 'image', 'image_shortcode' );
// [image style="" src="" alt="" width=""] - ends


// [button style="" to=""][/button] - starts
function button_shortcode($atts, $content = null) {  
    extract(shortcode_atts(array( 
		"style" => '',						 
		"size"   => '',
		"to" => ''
    ), $atts));  
	
	return '<a href="'.$to.'" class="button '.$style .'">' . do_shortcode($content) . '</a>';  
};  
add_shortcode( 'button', 'button_shortcode' );
// [button style="" to=""][/button] - ends


// [icon to="" style=""] - starts
function icon_shortcode($atts, $content = null) {  
    extract(shortcode_atts(array(  
		"to" => '',						 
		"style" => ''
    ), $atts));  
	return '<a href="'.$to.'" class="icon demo '.$style.'">' . do_shortcode($content) . '</a>';  
};  
add_shortcode( 'icon', 'icon_shortcode' );
// [icon to="" style=""] - ends


// [ulist style=""][/ulist] - starts
function ulist_shortcode($atts, $content = null) {  
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<ul class="'.$style.'">' . do_shortcode($content) . '</ul>';  
};  
add_shortcode( 'ulist', 'ulist_shortcode' );
// [ulist style=""][ulist] - ends


// [olist style=""][/olist] - starts
function olist_shortcode($atts, $content = null) {  
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<ol class="'.$style.'">' . do_shortcode($content) . '</ol>';  
};  
add_shortcode( 'olist', 'olist_shortcode' );
// [olist style=""][olist] - ends


// [listitem style=""][/listitem] - starts
function listitem_shortcode($atts, $content = null) {  
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<li class="'.$style.'">' . do_shortcode($content) . '</li>';  
};  
add_shortcode( 'listitem', 'listitem_shortcode' );
// [listitem style=""][listitem] - ends


// [alerbox style=""][/alertbox] - starts
function alertbox_shortcode($atts, $content = null) { 
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<div class="alertBox ' .$style. '"><p>' . do_shortcode($content) . '<a href="" class="notification-quit">x</a></p></div>';  
};  
add_shortcode( 'alertbox', 'alertbox_shortcode' );
// [alertbox style=""][/alertbox] - ends


// [toggle style="" title=""][/toggle] - starts
function toggle_shortcode($atts, $content = null) { 
    extract(shortcode_atts(array(  
		"style" => '',
		"title" => ''
    ), $atts));  
	
	return '<div class="toggle-container"><a href="" class="'.$style.'">'.$title.'</a><div class="toggle-content">' . do_shortcode($content) . '</div></div>';  
};  
add_shortcode( 'toggle', 'toggle_shortcode' );
// [toggle style="" title=""][/toggle] - ends


// [highlight style=""][/highlight] - starts
function highlight_shortcode($atts, $content = null) { 
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<span class="' .$style. '">' . do_shortcode($content) . '</span>';  
};  
add_shortcode( 'highlight', 'highlight_shortcode' );
// [highlight style=""][/highlight] - ends


// [title type="" style=""][/title] - starts
function title_shortcode($atts, $content = null) { 
    extract(shortcode_atts(array(  
		"type" => '',						 
		"style" => ''
    ), $atts));  
	
	return '<'.$type.' class="' .$style. '">' . do_shortcode($content) . '</'.$type.'>';  
};  
add_shortcode( 'title', 'title_shortcode' );
// [title type="" style=""][/title] - ends


// [pagebreak style=""] - starts
function pagebreak_shortcode($atts, $content = null) { 
    extract(shortcode_atts(array(  
		"style" => ''
    ), $atts));  
	
	return '<div class="' .$style. '"></div>';  
};  
add_shortcode( 'pagebreak', 'pagebreak_shortcode' );
// [pagebreak style=""] - ends


// [service][/service] - starts
function service_shortcode($atts, $content = null) { 
	
	return '<div class="icon-column">'.do_shortcode($content).'</div>';  
};  
add_shortcode( 'service', 'service_shortcode' );
// [service][/service] - ends


// clean the shortcodes starts
function parse_shortcode_content( $content ) {

   // Parse nested shortcodes and add formatting
    $content = trim( do_shortcode( shortcode_unautop( $content ) ) );

    // Remove '' from the start of the string
    if ( substr( $content, 0, 4 ) == '' )
        $content = substr( $content, 4 );

    // Remove '' from the end of the string
    if ( substr( $content, -3, 3 ) == '' )
        $content = substr( $content, 0, -3 );

    // Remove any instances of ''
    $content = str_replace( array( '<p></p>' ), '', $content );
    $content = str_replace( array( '<p>  </p>' ), '', $content );

    return $content;
}

//move wpautop filter to AFTER shortcode is processed
remove_filter( 'the_content', 'wpautop' );
add_filter( 'the_content', 'wpautop' , 99);
add_filter( 'the_content', 'shortcode_unautop' , 100 );
// clean the shortcodes ends */



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Shortcodes Functions End                                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>