<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Load Styles From Folder Starts                                                       */

$alt_stylesheet_path = TEMPLATEPATH . '/styles/variations/';
$themeStyles = array();

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false){
                $themeStyles[] = $alt_stylesheet_file;
            }
        }    
	}
}

array_unshift($themeStyles, "default"); 

/*///////////////// Load Styles From Folder Ends                                                         */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Create The Theme Options Starts                                                      */

global $side_options;
$side_options = array (

// General Settings
array("name" => __('General Settings','side'),
	"type" => "section",
	"item" => "generalSettings"
	),
	
array("type" => "open"),

array("name" => __('Theme Style:','side'), 
	"desc" => __('Select a color scheme for your theme (by default it&rsquo;s "red" - "default").','side'),
	"id" => "themeStyle",
	"type" => "select",
	"options" => $themeStyles,
	"std" => "default"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Description:','side'),
	"desc" => __('The description will be displayed at the top of the page, to the right of the logo.','side'),
	"id" => "description",
	"type" => "text",
	"std" => "Just an awesome <br/> mobile theme!"),

array("name" => "", 
	"type" => "breakLine"),

array( "name" => __('Custom Css:','side'),
	"desc" => __('Add your custom &quot;Css&quot; here. This will override all the &quot;Css&quot; rules found in &quot;style.css&quot; (eg: a{color:#ff0000})','side'),
	"id" => "customCss",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Favicon:','side'),
	"desc" => __('Add the URL for your custom "favicon" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','side'),
	"id" => "customFavicon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Logo:','side'), 
	"desc" => __('Add the URL for your custom "logo" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','side'),
	"id" => "customLogo",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Icon:','side'),
	"desc" => __('Upload your custom splash icon (Must be a PNG file 114px wide and 114px tall - for iPhone with iOS 4+).','side'),
	"id" => "customIcon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Screen:','side'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 320px wide and 460px tall - for iPhone with iOS 4+).','side'),
	"id" => "customScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Retina Splash Screen:','side'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 640px wide and 920px tall, and the name must end with - @2x - for iPhone with iOS 4+).','side'),
	"id" => "customRetinaScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Page Numbers:','side'),
	"desc" => __('How many page numbers are displayed before and after the current page, before showing arrows instead of numbers (first, previous, last, next).','side'),
	"id" => "pageNumbersRange",
	"type" => "text",
	"std" => "2"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Copyright Text:','side'),
	"desc" => __('Change the copyright text that appears in the footer of your theme.','side'),
	"id" => "copyrightText",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// Portfolio Page
array("name" => __('Portfolio Settings','side'),
	"type" => "section",
	"item" => "portfolioSettings"
	),
	
array("type" => "open"),

array("name" => __('Number Of Items:','side'),
	"desc" => __('Change the number of items that are displayed on a "Portfolio" page (one column style).','side'),
	"id" => "portfolioItemsNumber",
	"type" => "text",
	"std" => '9'),

array("name" => "", 
	"type" => "breakLine"),
	
array("type" => "close"),

// Blog Page
array("name" => __('Blog Settings','side'),
	"type" => "section",
	"item" => "blogSettings"
	),

array("type" =>"open"),

array("name" => __('Blog Excerpt:','side'),
	"desc" => __('Check this option if you want to show the post "Excerpt" instead of the content for the blog/search/archives posts.','side'),
	"checkDesc"=> __('Toggle Blog Excerpt','side'),
	"id" => "blogShowExcerpt",
	"type" => "checkbox",
    "std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array( "type" => "close"),

// Contact Page
array("name" => __('Contact Settings','side'),
	"type" => "section",
	"item" => "contactSettings"
	),
	
array("type" => "open"),

array("name" => __('Contact Email:','side'),
	"desc" => __('The email address used by the "Contact" page to submit the message to.','side'),
	"id" => "contactEmail",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Success Message:', 'side'),
	"desc" => __('Change the message that&rsquo;s displayed once the contact form has been submitted successfully.','side'),
	"id" => "contactSuccess",
	"type" => "text",
	"std" => "Your email was sent!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Name Error:', 'side'),
	"desc" => __('Change the message that&rsquo;s displayed if the "name" field is empty.','side'),
	"id" => "contactNameError",
	"type" => "text",
	"std" => "Please enter your name!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Email Error:', 'side'),
	"desc" => __('Change the message that&rsquo;s displayed if the "email" field is empty.','side'),
	"id" => "contactEmailError",
	"type" => "text",
	"std" => "Please enter your email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Invalid Email Error:', 'side'),
	"desc" => __('Change the message that&rsquo;s displayed if the email address entered by the user is not a valid email address.','side'),
	"id" => "contactInvalidEmailError",
	"type" => "text",
	"std" => "Please enter a valid email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Message Error:', 'side'),
	"desc" => __('Change the message that&rsquo;s displayed if the "message" field is empty.','side'),
	"id" => "contactMessageError",
	"type" => "text",
	"std" => "Please enter your message!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Hide Contact Form:','side'), 
	"desc" => __('Check this option if you want to hide the entire contact form.','side'),
	"checkDesc"=> __('Toggle Contact Form','side'),
	"id" => "hideContactForm",
	"type" => "checkbox",
	"std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// SEO settings
array("name" => __('SEO Settings','side'),
	"type" => "section",
	"item" => "seoSettings"
	),
	
array("type" => "open"),

array("name" => __('Google Analytics:','side'),
	"desc" => __('Add your Google Analytics (or other tracking code) here.','side'),
	"id" => "googleAnalytics",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close")

);

/*///////////////// Create The Theme Options Ends                                                        */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>