<?php
// get the theme options starts
global $options; 
$options = get_option('side_theme_options');
// get the theme options ends
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
    
    <meta name="viewport" content="user-scalable=no, width=device-width, initial-scale=1.0, maximum-scale=1.0"/>
    
    <?php if($options['customIcon'] != ''){ ?>
        <link rel="apple-touch-icon" sizes="114x114" href="<?php echo $options['customIcon']; ?>"> 
    <?php } else { ?>     
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo get_template_directory_uri()?>/images/splash/splash-icon.png"> 
    <?php }; ?>
    
    <?php if($options['customScreen'] != ''){ ?>
        <link rel="apple-touch-startup-image" href="<?php echo $options['customScreen']; ?>" media="screen and (max-device-width: 320px)" /> 
    <?php } else { ?>     
        <link rel="apple-touch-startup-image" href="<?php echo get_template_directory_uri()?>/images/splash/splash-screen.png" media="screen and (max-device-width: 320px)" /> 
    <?php }; ?>
    
    <?php if($options['customRetinaScreen'] != ''){ ?>
        <link rel="apple-touch-startup-image" href="<?php echo $options['customRetinaScreen']; ?>" media="(max-device-width: 480px) and (-webkit-min-device-pixel-ratio: 2)" /> 
    <?php } else { ?>
        <link rel="apple-touch-startup-image" href="<?php echo get_template_directory_uri()?>/images/splash/splash-screen@2x.png" media="(max-device-width: 480px) and (-webkit-min-device-pixel-ratio: 2)" /> 
    <?php }; ?>
    
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    
	<title><?php bloginfo( 'name' )?><?php wp_title(); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
	<?php wp_head();?>
    <?php if( $options['customCss'] != ''){ ?>
    <!-- custom css starts -->
    <style type="text/css">
	
    <?php echo $options['customCss']; ?>
	
    </style>
    <!-- custom css ends -->
    <?php } ?>
    <?php if( $options['customFavicon'] != '' ){ ?>
        <!-- custom favicon starts -->
        <link rel="shortcut icon" href="<?php echo $options['customFavicon']; ?>"/>
        <!-- custom favicon ends -->
    <?php } else {?>
        <!-- favicon starts -->
        <link rel="shortcut icon" href="<?php echo get_template_directory_uri() ?>/images/default/favicon.ico" />
        <!-- favicon ends -->
    <?php } ?>
    <?php if( $options['googleAnalytics'] != '' ){ ?>
        <!-- analytics starts -->
        <?php echo $options['googleAnalytics']; ?>
        <!-- analytics ends -->
    <?php } ?>
</head>

<body <?php body_class(); ?>>
	
    
    <!-- sidebar starts -->
    <div class="sidebar">
        <ul class="navigationWrap">
            <?php custom_wp_nav_main(); ?> 
        </ul>
    </div>
    <!-- sidebar ends -->
    
<div class="main-wrapper">
    
    <div class="header">
        <div class="logo">
			<?php if($options['customLogo'] == ''){ ?>
            <a data-path="<?php echo get_template_directory_uri()?>" href="<?php echo home_url(); ?>"><img class="replace-2x" src="<?php echo get_template_directory_uri()?>/images/logo.png" width="65" alt="img"></a>
            <?php } else {?>
            <a data-path="<?php echo get_template_directory_uri()?>" href="<?php echo home_url(); ?>"><img class="logo" src="<?php echo $options['customLogo']; ?>" alt=""/></a>
            <?php } ?>
        </div>
        
        <p class="logo-text">
            <?php echo $options['description']; ?>
        </p>
        <div class="clear"></div>
    </div>
    
    <div class="decoration"></div>